### Method

# Peas PluginInfo get_dependencies

#### Declaration [src]

    const char* const*
    peas_plugin_info_get_dependencies (
      const PeasPluginInfo* info
    )

#### Description [src]

Gets the dependencies of the plugin.

The `PeasEngine` will always ensure that the dependencies of a plugin are loaded when the said plugin is loaded. It means that dependencies are loaded before the plugin, and unloaded after it. Circular dependencies of plugins lead to undefined loading order.

The relevant key in the plugin info file is “Depends”.

Gets property | `Peas.PluginInfo:dependencies`

#### Return value

Type: An array of `utf8`

The plugin’s dependencies.

The array is `NULL`-terminated.
The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.